Bug 134956 - [em] FreeBSD 7.1 & 7.2, Intel PRO/1000 PT Quad Port Server Adapter (82571), ifconfig reports "status: active" after cable unplugged
Summary: [em] FreeBSD 7.1 & 7.2, Intel PRO/1000 PT Quad Port Server Adapter (82571), i...
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: jfv
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2009-05-26 13:20 UTC by Petr Svoboda
Modified: 2015-07-01 14:23 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Svoboda 2009-05-26 13:20:01 UTC
3 machines with each two Intel PRO/1000 PT Quad Port Server Adapters (82571) (one PCI-X and one PCI-Express) with FreeBSD 7.1-p5:

--------------------------------------------------------------------------------

kernel configuration (KERNUN.amd64):

cpu		HAMMER
ident		KERNUN

# To statically compile in device wiring instead of /boot/device.hints
#hints		"GENERIC.hints"		# Default places to look for devices.

makeoptions	DEBUG=-g		# Build kernel with gdb(1) debug symbols

options 	SCHED_4BSD		# 4BSD scheduler
options 	PREEMPTION		# Enable kernel thread preemption
options 	INET			# InterNETworking
#options 	INET6			# IPv6 communications protocols
#options 	SCTP			# Stream Control Transmission Protocol 
options 	FFS			# Berkeley Fast Filesystem
options 	SOFTUPDATES		# Enable FFS soft updates support
options 	UFS_ACL			# Support for access control lists
options 	UFS_DIRHASH		# Improve performance on big directories
options 	UFS_GJOURNAL		# Enable gjournal-based UFS journaling
options 	MD_ROOT			# MD is a potential root device
#options 	NFSCLIENT		# Network Filesystem Client
#options 	NFSSERVER		# Network Filesystem Server
#options 	NFS_ROOT		# NFS usable as /, requires NFSCLIENT
options 	NTFS			# NT File System
options 	MSDOSFS			# MSDOS Filesystem
options 	CD9660			# ISO 9660 Filesystem
options 	PROCFS			# Process filesystem (requires PSEUDOFS)
options 	PSEUDOFS		# Pseudo-filesystem framework
options 	GEOM_PART_GPT		# GUID Partition Tables.
options 	GEOM_LABEL		# Provides labelization
options 	COMPAT_43TTY		# BSD 4.3 TTY compat [KEEP THIS!]
options 	COMPAT_IA32		# Compatible with i386 binaries
options 	COMPAT_FREEBSD4		# Compatible with FreeBSD4
options 	COMPAT_FREEBSD5		# Compatible with FreeBSD5
options 	COMPAT_FREEBSD6		# Compatible with FreeBSD6
options 	SCSI_DELAY=5000		# Delay (in ms) before probing SCSI
options 	KTRACE			# ktrace(1) support
options 	SYSVSHM			# SYSV-style shared memory
options 	SYSVMSG			# SYSV-style message queues
options 	SYSVSEM			# SYSV-style semaphores
options 	_KPOSIX_PRIORITY_SCHEDULING # POSIX P1003_1B real-time extensions
options 	KBD_INSTALL_CDEV	# install a CDEV entry in /dev
options 	ADAPTIVE_GIANT		# Giant mutex is adaptive.
options 	STOP_NMI		# Stop CPUS using NMI instead of IPI
options 	AUDIT			# Security event auditing

# Make an SMP-capable kernel by default
options 	SMP			# Symmetric MultiProcessor Kernel

# CPU frequency control
device		cpufreq

# Bus support.
device		acpi
device		pci

# Floppy drives
device		fdc

# ATA and ATAPI devices
device		ata
device		atadisk		# ATA disk drives
device		ataraid		# ATA RAID drives
device		atapicd		# ATAPI CDROM drives
device		atapifd		# ATAPI floppy drives
device		atapist		# ATAPI tape drives
options 	ATA_STATIC_ID	# Static device numbering

# SCSI Controllers
device		ahc		# AHA2940 and onboard AIC7xxx devices
options 	AHC_REG_PRETTY_PRINT	# Print register bitfields in debug
					# output.  Adds ~128k to driver.
device		ahd		# AHA39320/29320 and onboard AIC79xx devices
options 	AHD_REG_PRETTY_PRINT	# Print register bitfields in debug
					# output.  Adds ~215k to driver.
device		amd		# AMD 53C974 (Tekram DC-390(T))
device		hptiop		# Highpoint RocketRaid 3xxx series
device		isp		# Qlogic family
#device 	ispfw		# Firmware for QLogic HBAs- normally a module
device		mpt		# LSI-Logic MPT-Fusion
#device		ncr		# NCR/Symbios Logic
device		sym		# NCR/Symbios Logic (newer chipsets + those of `ncr')
device		trm		# Tekram DC395U/UW/F DC315U adapters

device		adv		# Advansys SCSI adapters
device		adw		# Advansys wide SCSI adapters
device		aic		# Adaptec 15[012]x SCSI adapters, AIC-6[23]60.
device		bt		# Buslogic/Mylex MultiMaster SCSI adapters


# SCSI peripherals
device		scbus		# SCSI bus (required for SCSI)
device		ch		# SCSI media changers
device		da		# Direct Access (disks)
device		sa		# Sequential Access (tape etc)
device		cd		# CD
device		pass		# Passthrough device (direct SCSI access)
device		ses		# SCSI Environmental Services (and SAF-TE)

# RAID controllers interfaced to the SCSI subsystem
device		amr		# AMI MegaRAID
device		arcmsr		# Areca SATA II RAID
device		ciss		# Compaq Smart RAID 5*
device		dpt		# DPT Smartcache III, IV - See NOTES for options
device		hptmv		# Highpoint RocketRAID 182x
device		hptrr		# Highpoint RocketRAID 17xx, 22xx, 23xx, 25xx
device		iir		# Intel Integrated RAID
device		ips		# IBM (Adaptec) ServeRAID
device		mly		# Mylex AcceleRAID/eXtremeRAID
device		twa		# 3ware 9000 series PATA/SATA RAID

# RAID controllers
device		aac		# Adaptec FSA RAID
device		aacp		# SCSI passthrough for aac (requires CAM)
device		ida		# Compaq Smart RAID
device		mfi		# LSI MegaRAID SAS
device		mlx		# Mylex DAC960 family
#XXX pointer/int warnings
#device		pst		# Promise Supertrak SX6000
device		twe		# 3ware ATA RAID

# atkbdc0 controls both the keyboard and the PS/2 mouse
device		atkbdc		# AT keyboard controller
device		atkbd		# AT keyboard
device		psm		# PS/2 mouse

device		kbdmux		# keyboard multiplexer

device		vga		# VGA video card driver

device		splash		# Splash screen and screen saver support

# syscons is the default console driver, resembling an SCO console
device		sc

device		agp		# support several AGP chipsets

# PCCARD (PCMCIA) support
# PCMCIA and cardbus bridge support
device		cbb		# cardbus (yenta) bridge
device		pccard		# PC Card (16-bit) bus
device		cardbus		# CardBus (32-bit) bus

# Serial (COM) ports
device		sio		# 8250, 16[45]50 based serial ports
device		uart		# Generic UART driver

# Parallel port
device		ppc
device		ppbus		# Parallel port bus (required)
device		lpt		# Printer
#device		plip		# TCP/IP over parallel
device		ppi		# Parallel port interface device
#device		vpo		# Requires scbus and da

# If you've got a "dumb" serial or parallel PCI card that is
# supported by the puc(4) glue driver, uncomment the following
# line to enable it (connects to sio, uart and/or ppc drivers):
#device		puc

# PCI Ethernet NICs.
device		de		# DEC/Intel DC21x4x (``Tulip'')
device		em		# Intel PRO/1000 adapter Gigabit Ethernet Card
device		ixgb		# Intel PRO/10GbE Ethernet Card
device		le		# AMD Am7900 LANCE and Am79C9xx PCnet
device		txp		# 3Com 3cR990 (``Typhoon'')
device		vx		# 3Com 3c590, 3c595 (``Vortex'')

# PCI Ethernet NICs that use the common MII bus controller code.
# NOTE: Be sure to keep the 'device miibus' line in order to use these NICs!
device		miibus		# MII bus support
device		bce		# Broadcom BCM5706/BCM5708 Gigabit Ethernet
device		bfe		# Broadcom BCM440x 10/100 Ethernet
device		bge		# Broadcom BCM570xx Gigabit Ethernet
device		dc		# DEC/Intel 21143 and various workalikes
device		fxp		# Intel EtherExpress PRO/100B (82557, 82558)
device		lge		# Level 1 LXT1001 gigabit Ethernet
device		msk		# Marvell/SysKonnect Yukon II Gigabit Ethernet
device		nfe		# nVidia nForce MCP on-board Ethernet
device		nge		# NatSemi DP83820 gigabit Ethernet
#device		nve		# nVidia nForce MCP on-board Ethernet Networking
device		pcn		# AMD Am79C97x PCI 10/100 (precedence over 'le')
device		re		# RealTek 8139C+/8169/8169S/8110S
device		rl		# RealTek 8129/8139
device		sf		# Adaptec AIC-6915 (``Starfire'')
device		sis		# Silicon Integrated Systems SiS 900/SiS 7016
device		sk		# SysKonnect SK-984x & SK-982x gigabit Ethernet
device		ste		# Sundance ST201 (D-Link DFE-550TX)
device		ti		# Alteon Networks Tigon I/II gigabit Ethernet
device		tl		# Texas Instruments ThunderLAN
device		tx		# SMC EtherPower II (83c170 ``EPIC'')
device		vge		# VIA VT612x gigabit Ethernet
device		vr		# VIA Rhine, Rhine II
device		wb		# Winbond W89C840F
device		xl		# 3Com 3c90x (``Boomerang'', ``Cyclone'')

# ISA Ethernet NICs.  pccard NICs included.
device		cs		# Crystal Semiconductor CS89x0 NIC
# 'device ed' requires 'device miibus'
device		ed		# NE[12]000, SMC Ultra, 3c503, DS8390 cards
device		ex		# Intel EtherExpress Pro/10 and Pro/10+
device		ep		# Etherlink III based cards
device		fe		# Fujitsu MB8696x based cards
device		sn		# SMC's 9000 series of Ethernet chips
device		xe		# Xircom pccard Ethernet

# Wireless NIC cards
device		wlan		# 802.11 support
device		wlan_wep	# 802.11 WEP support
device		wlan_ccmp	# 802.11 CCMP support
device		wlan_tkip	# 802.11 TKIP support
device		wlan_amrr	# AMRR transmit rate control algorithm
device		wlan_scan_ap	# 802.11 AP mode scanning
device		wlan_scan_sta	# 802.11 STA mode scanning
device		an		# Aironet 4500/4800 802.11 wireless NICs.
device		ath		# Atheros pci/cardbus NIC's
device		ath_hal		# Atheros HAL (Hardware Access Layer)
device		ath_rate_sample	# SampleRate tx rate control for ath
device		awi		# BayStack 660 and others
device		ral		# Ralink Technology RT2500 wireless NICs.
device		wi		# WaveLAN/Intersil/Symbol 802.11 wireless NICs.

# Pseudo devices.
device		loop		# Network loopback
device		random		# Entropy device
device		ether		# Ethernet support
#device		sl		# Kernel SLIP
#device		ppp		# Kernel PPP
device		tun		# Packet tunnel.
device          tap             # Virtual Ethernet driver
device		pty		# Pseudo-ttys (telnet etc)
device		md		# Memory "disks"
device		gif		# IPv6 and IPv4 tunneling
device		faith		# IPv6-to-IPv4 relaying (translation)
device		firmware	# firmware assist module

# The `bpf' device enables the Berkeley Packet Filter.
# Be aware of the administrative consequences of enabling this!
# Note that 'bpf' is required for DHCP.
device		bpf		# Berkeley packet filter

# USB support
device		uhci		# UHCI PCI->USB interface
device		ohci		# OHCI PCI->USB interface
device		ehci		# EHCI PCI->USB interface (USB 2.0)
device		usb		# USB Bus (required)
#device		udbp		# USB Double Bulk Pipe devices
device		ugen		# Generic
device		uhid		# "Human Interface Devices"
device		ukbd		# Keyboard
device		ulpt		# Printer
device		umass		# Disks/Mass storage - Requires scbus and da
device		ums		# Mouse
device		ural		# Ralink Technology RT2500USB wireless NICs
device		urio		# Diamond Rio 500 MP3 player
device		uscanner	# Scanners
# USB Ethernet, requires miibus
device		aue		# ADMtek USB Ethernet
device		axe		# ASIX Electronics USB Ethernet
device		cdce		# Generic USB over Ethernet
device		cue		# CATC USB Ethernet
device		kue		# Kawasaki LSI USB Ethernet
device		rue		# RealTek RTL8150 USB Ethernet

# FireWire support
device		firewire	# FireWire bus code
device		sbp		# SCSI over FireWire (Requires scbus and da)
device		fwe		# Ethernet over FireWire (non-standard!)
device		fwip		# IP over FireWire (RFC 2734,3146)
device		dcons		# Dumb console driver
device		dcons_crom	# Configuration ROM for dcons

device          pf                      #PF OpenBSD packet-filter firewall
device          pflog                   #logging support interface for PF
device          pfsync                  #synchronization interface for PF
device          carp                    #Common Address Redundancy Protocol

options         ALTQ
options         ALTQ_CBQ        # Class Bases Queueing
options         ALTQ_RED        # Random Early Detection
options         ALTQ_RIO        # RED In/Out
options         ALTQ_HFSC       # Hierarchical Packet Scheduler
options         ALTQ_CDNR       # Traffic conditioner
options         ALTQ_PRIQ       # Priority Queueing

options         IPFIREWALL
options         IPFIREWALL_DEFAULT_TO_ACCEPT #allow everything by default
options         IPDIVERT                   	#divert sockets

options 	NETGRAPH		# netgraph(4) system
options 	NETGRAPH_IFACE
options 	NETGRAPH_IPFW

device          crypto                  # IPsec support
device          cryptodev
device          enc
options         IPSEC
options         IPSEC_DEBUG
options         IPSEC_FILTERTUNNEL

--------------------------------------------------------------------------------

/var/run/dmesg.boot:

Copyright (c) 1992-2009 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 7.1-RELEASE-p4 #0: Fri Apr 10 13:25:53 CEST 2009
    root@builder764.pha.tns.cz:/usr/obj/usr/src/sys/KERNUN.amd64
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Xeon(R) CPU           E5405  @ 2.00GHz (1995.03-MHz K8-class CPU)
  Origin = "GenuineIntel"  Id = 0x1067a  Stepping = 10
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0x40ce33d<SSE3,RSVD2,MON,DS_CPL,VMX,TM2,SSSE3,CX16,xTPR,PDCM,DCA,<b19>,<b26>>
  AMD Features=0x20100800<SYSCALL,NX,LM>
  AMD Features2=0x1<LAHF>
  Cores per package: 4
usable memory = 4277432320 (4079 MB)
avail memory  = 4116000768 (3925 MB)
ACPI APIC Table: <DELL   PE_SC3  >
FreeBSD/SMP: Multiprocessor System Detected: 4 CPUs
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
 cpu2 (AP): APIC ID:  2
 cpu3 (AP): APIC ID:  3
ioapic0: Changing APIC ID to 4
ioapic1: Changing APIC ID to 5
ioapic2: Changing APIC ID to 6
ioapic0 <Version 2.0> irqs 0-23 on motherboard
ioapic1 <Version 2.0> irqs 160-183 on motherboard
ioapic2 <Version 2.0> irqs 224-247 on motherboard
kbd1 at kbdmux0
ath_hal: 0.9.20.3 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
acpi0: <DELL PE_SC3> on motherboard
acpi0: [ITHREAD]
acpi0: Power Button (fixed)
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x808-0x80b on acpi0
acpi_hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff on acpi0
Timecounter "HPET" frequency 14318180 Hz quality 900
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> at device 2.0 on pci0
pci4: <ACPI PCI bus> on pcib1
pcib2: <ACPI PCI-PCI bridge> at device 0.0 on pci4
pci5: <ACPI PCI bus> on pcib2
pcib3: <ACPI PCI-PCI bridge> at device 0.0 on pci5
pci6: <ACPI PCI bus> on pcib3
pcib4: <PCI-PCI bridge> at device 0.0 on pci6
pci7: <PCI bus> on pcib4
bce0: <Broadcom NetXtreme II BCM5708 1000Base-T (B2)> mem 0xf4000000-0xf5ffffff irq 16 at device 0.0 on pci7
miibus0: <MII bus> on bce0
brgphy0: <BCM5708C 10/100/1000baseTX PHY> PHY 1 on miibus0
brgphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-FDX, auto
bce0: Ethernet address: 00:24:e8:4e:68:d4
bce0: [ITHREAD]
bce0: ASIC (0x57081020); Rev (B2); Bus (PCI-X, 64-bit, 133MHz); F/W (0x04060005); Flags( MFW MSI )
pcib5: <ACPI PCI-PCI bridge> at device 1.0 on pci5
pci8: <ACPI PCI bus> on pcib5
pcib6: <PCI-PCI bridge> at device 0.3 on pci4
pci9: <PCI bus> on pcib6
pcib7: <ACPI PCI-PCI bridge> at device 3.0 on pci0
pci1: <ACPI PCI bus> on pcib7
mfi0: <Dell PERC 6> port 0xec00-0xecff mem 0xfce80000-0xfcebffff,0xfce40000-0xfce7ffff irq 16 at device 0.0 on pci1
mfi0: Megaraid SAS driver Ver 3.00 
mfi0: 725 (296646160s/0x0020/info) - Shutdown command received from host
mfi0: 726 (boot + 3s/0x0020/info) - Firmware initialization started (PCI ID 0060/1000/1f0c/1028)
mfi0: 727 (boot + 3s/0x0020/info) - Firmware version 1.21.02-0528
mfi0: 728 (boot + 3s/0x0008/info) - Battery Present
mfi0: 729 (boot + 3s/0x0020/info) - Controller hardware revision ID (0x0)
mfi0: 730 (boot + 3s/0x0020/info) - Package version 6.1.1-0047
mfi0: 731 (boot + 3s/0x0020/info) - Board Revision 
mfi0: 732 (boot + 23s/0x0002/info) - Unexpected sense: Encl PD 20 Path 50022090c91e5c00, CDB: 12 00 00 00 04 00, Sense: 6/29/00
mfi0: 733 (boot + 24s/0x0004/info) - Enclosure PD 20(c None/p0) communication restored
mfi0: 734 (boot + 24s/0x0004/info) - Enclosure PD 20(c None/p0) element (SES code 0x17) status changed
mfi0: 735 (boot + 24s/0x0004/info) - Enclosure PD 20(c None/p0) element (SES code 0x17) status changed
mfi0: 736 (boot + 24s/0x0002/info) - Inserted: Encl PD 20
mfi0: 737 (boot + 24s/0x0002/info) - Inserted: PD 20(c None/p0) Info: enclPd=20, scsiType=d, portMap=09, sasAddr=50022090c91e5c00,0000000000000000
mfi0: 738 (boot + 24s/0x0002/info) - Inserted: PD 00(e0x20/s0)
mfi0: 739 (boot + 24s/0x0002/info) - Inserted: PD 00(e0x20/s0) Info: enclPd=20, scsiType=0, portMap=00, sasAddr=500000e01fbf47c2,0000000000000000
mfi0: 740 (boot + 24s/0x0002/info) - Inserted: PD 01(e0x20/s1)
mfi0: 741 (boot + 24s/0x0002/info) - Inserted: PD 01(e0x20/s1) Info: enclPd=20, scsiType=0, portMap=01, sasAddr=500000e01fbf5972,0000000000000000
mfi0: 742 (296656544s/0x0020/info) - Time established as 05/26/09 12:35:44; (41 seconds since power on)
mfi0: 743 (296656571s/0x0008/info) - Battery temperature is normal
mfi0: 744 (296656571s/0x0008/info) - Battery started charging
mfi0: [ITHREAD]
pcib8: <ACPI PCI-PCI bridge> at device 4.0 on pci0
pci10: <ACPI PCI bus> on pcib8
pcib9: <PCI-PCI bridge> at device 0.0 on pci10
pci11: <PCI bus> on pcib9
pcib10: <PCI-PCI bridge> at device 0.0 on pci11
pci12: <PCI bus> on pcib10
em0: <Intel(R) PRO/1000 Network Connection 6.9.6> port 0xdce0-0xdcff mem 0xfccc0000-0xfccdffff,0xfcca0000-0xfccbffff irq 16 at device 0.0 on pci12
em0: Using MSI interrupt
em0: [FILTER]
em0: Ethernet address: 00:15:17:b1:6f:6c
em1: <Intel(R) PRO/1000 Network Connection 6.9.6> port 0xdcc0-0xdcdf mem 0xfcc80000-0xfcc9ffff,0xfcc60000-0xfcc7ffff irq 17 at device 0.1 on pci12
em1: Using MSI interrupt
em1: [FILTER]
em1: Ethernet address: 00:15:17:b1:6f:6d
pcib11: <PCI-PCI bridge> at device 1.0 on pci11
pci13: <PCI bus> on pcib11
em2: <Intel(R) PRO/1000 Network Connection 6.9.6> port 0xcce0-0xccff mem 0xfcac0000-0xfcadffff,0xfcaa0000-0xfcabffff irq 17 at device 0.0 on pci13
em2: Using MSI interrupt
em2: [FILTER]
em2: Ethernet address: 00:15:17:b1:6f:6e
em3: <Intel(R) PRO/1000 Network Connection 6.9.6> port 0xccc0-0xccdf mem 0xfca80000-0xfca9ffff,0xfca60000-0xfca7ffff irq 18 at device 0.1 on pci13
em3: Using MSI interrupt
em3: [FILTER]
em3: Ethernet address: 00:15:17:b1:6f:6f
pcib12: <PCI-PCI bridge> at device 5.0 on pci0
pci14: <PCI bus> on pcib12
pcib13: <ACPI PCI-PCI bridge> at device 6.0 on pci0
pci15: <ACPI PCI bus> on pcib13
pcib14: <ACPI PCI-PCI bridge> at device 0.0 on pci15
pci16: <ACPI PCI bus> on pcib14
pcib15: <PCI-PCI bridge> at device 3.0 on pci16
pci17: <PCI bus> on pcib15
em4: <Intel(R) PRO/1000 Network Connection 6.9.6> port 0xbcc0-0xbcff mem 0xfc5e0000-0xfc5fffff irq 160 at device 4.0 on pci17
em4: [FILTER]
em4: Ethernet address: 00:1b:21:2d:5c:c0
em5: <Intel(R) PRO/1000 Network Connection 6.9.6> port 0xbc80-0xbcbf mem 0xfc5c0000-0xfc5dffff irq 161 at device 4.1 on pci17
em5: [FILTER]
em5: Ethernet address: 00:1b:21:2d:5c:c1
em6: <Intel(R) PRO/1000 Network Connection 6.9.6> port 0xbc40-0xbc7f mem 0xfc5a0000-0xfc5bffff irq 162 at device 6.0 on pci17
em6: [FILTER]
em6: Ethernet address: 00:1b:21:2d:5c:c2
em7: <Intel(R) PRO/1000 Network Connection 6.9.6> port 0xbc00-0xbc3f mem 0xfc580000-0xfc59ffff irq 163 at device 6.1 on pci17
em7: [FILTER]
em7: Ethernet address: 00:1b:21:2d:5c:c3
pcib16: <ACPI PCI-PCI bridge> at device 0.2 on pci15
pci18: <ACPI PCI bus> on pcib16
pcib17: <PCI-PCI bridge> at device 7.0 on pci0
pci19: <PCI bus> on pcib17
pcib18: <ACPI PCI-PCI bridge> at device 28.0 on pci0
pci2: <ACPI PCI bus> on pcib18
pcib19: <PCI-PCI bridge> at device 0.0 on pci2
pci3: <PCI bus> on pcib19
bce1: <Broadcom NetXtreme II BCM5708 1000Base-T (B2)> mem 0xf8000000-0xf9ffffff irq 16 at device 0.0 on pci3
miibus1: <MII bus> on bce1
brgphy1: <BCM5708C 10/100/1000baseTX PHY> PHY 1 on miibus1
brgphy1:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-FDX, auto
bce1: Ethernet address: 00:24:e8:4e:68:d2
bce1: [ITHREAD]
bce1: ASIC (0x57081020); Rev (B2); Bus (PCI-X, 64-bit, 133MHz); F/W (0x04060005); Flags( MFW MSI )
uhci0: <Intel 631XESB/632XESB/3100 USB controller USB-1> port 0x9ce0-0x9cff irq 21 at device 29.0 on pci0
uhci0: [GIANT-LOCKED]
uhci0: [ITHREAD]
usb0: <Intel 631XESB/632XESB/3100 USB controller USB-1> on uhci0
usb0: USB revision 1.0
uhub0: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb0
uhub0: 2 ports with 2 removable, self powered
uhci1: <Intel 631XESB/632XESB/3100 USB controller USB-2> port 0x9cc0-0x9cdf irq 20 at device 29.1 on pci0
uhci1: [GIANT-LOCKED]
uhci1: [ITHREAD]
usb1: <Intel 631XESB/632XESB/3100 USB controller USB-2> on uhci1
usb1: USB revision 1.0
uhub1: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb1
uhub1: 2 ports with 2 removable, self powered
uhci2: <Intel 631XESB/632XESB/3100 USB controller USB-3> port 0x9ca0-0x9cbf irq 21 at device 29.2 on pci0
uhci2: [GIANT-LOCKED]
uhci2: [ITHREAD]
usb2: <Intel 631XESB/632XESB/3100 USB controller USB-3> on uhci2
usb2: USB revision 1.0
uhub2: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb2
uhub2: 2 ports with 2 removable, self powered
uhci3: <Intel 631XESB/632XESB/3100 USB controller USB-4> port 0x9c80-0x9c9f irq 20 at device 29.3 on pci0
uhci3: [GIANT-LOCKED]
uhci3: [ITHREAD]
usb3: <Intel 631XESB/632XESB/3100 USB controller USB-4> on uhci3
usb3: USB revision 1.0
uhub3: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb3
uhub3: 2 ports with 2 removable, self powered
ehci0: <Intel 63XXESB USB 2.0 controller> mem 0xfcf00400-0xfcf007ff irq 21 at device 29.7 on pci0
ehci0: [GIANT-LOCKED]
ehci0: [ITHREAD]
usb4: EHCI version 1.0
usb4: companion controllers, 2 ports each: usb0 usb1 usb2 usb3
usb4: <Intel 63XXESB USB 2.0 controller> on ehci0
usb4: USB revision 2.0
uhub4: <Intel EHCI root hub, class 9/0, rev 2.00/1.00, addr 1> on usb4
uhub4: 8 ports with 8 removable, self powered
uhub5: <vendor 0x413c product 0xa001, class 9/0, rev 2.00/0.00, addr 2> on uhub4
uhub5: multiple transaction translators
uhub5: 2 ports with 2 removable, self powered
ukbd0: <Dell DRAC5, class 0/0, rev 1.10/0.00, addr 3> on uhub5
kbd2 at ukbd0
ums0: <Dell DRAC5, class 0/0, rev 1.10/0.00, addr 3> on uhub5
ums0: X report 0x0002 not supported
device_attach: ums0 attach returned 6
uhub6: <vendor 0x04b4 product 0x6560, class 9/0, rev 2.00/0.0b, addr 4> on uhub4
uhub6: multiple transaction translators
uhub6: 4 ports with 4 removable, self powered
pcib20: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci20: <ACPI PCI bus> on pcib20
vgapci0: <VGA-compatible display> port 0xac00-0xacff mem 0xd8000000-0xdfffffff,0xfc2d0000-0xfc2dffff irq 19 at device 13.0 on pci20
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel 63XXESB2 SATA300 controller> port 0x9c78-0x9c7f,0x9c70-0x9c73,0x9c60-0x9c67,0x9c58-0x9c5b,0x9c40-0x9c4f mem 0xfcf00000-0xfcf003ff irq 23 at device 31.2 on pci0
atapci0: [ITHREAD]
ata2: <ATA channel 0> on atapci0
ata2: [ITHREAD]
ata3: <ATA channel 1> on atapci0
ata3: [ITHREAD]
fdc0: <floppy drive controller> port 0x3f0-0x3f5,0x3f7 irq 6 drq 2 on acpi0
fdc0: does not respond
device_attach: fdc0 attach returned 6
sio0: configured irq 4 not in bitmap of probed irqs 0
sio0: port may not be enabled
sio0: configured irq 4 not in bitmap of probed irqs 0
sio0: port may not be enabled
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 on acpi0
sio0: type 16550A
sio0: [FILTER]
sio1: configured irq 3 not in bitmap of probed irqs 0
sio1: port may not be enabled
sio1: configured irq 3 not in bitmap of probed irqs 0
sio1: port may not be enabled
sio1: <16550A-compatible COM port> port 0x2f8-0x2ff irq 3 flags 0x10 on acpi0
sio1: type 16550A
sio1: [FILTER]
cpu0: <ACPI CPU> on acpi0
p4tcc0: <CPU Frequency Thermal Control> on cpu0
cpu1: <ACPI CPU> on acpi0
p4tcc1: <CPU Frequency Thermal Control> on cpu1
cpu2: <ACPI CPU> on acpi0
p4tcc2: <CPU Frequency Thermal Control> on cpu2
cpu3: <ACPI CPU> on acpi0
p4tcc3: <CPU Frequency Thermal Control> on cpu3
fdc0: <floppy drive controller> port 0x3f0-0x3f5,0x3f7 irq 6 drq 2 on acpi0
fdc0: does not respond
device_attach: fdc0 attach returned 6
cryptosoft0: <software crypto> on motherboard
orm0: <ISA Option ROMs> at iomem 0xc0000-0xc8fff,0xc9000-0xc9fff,0xec000-0xeffff on isa0
atkbdc0: <Keyboard controller (i8042)> at port 0x60,0x64 on isa0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
atkbd0: [ITHREAD]
ppc0: cannot reserve I/O port range
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
ukbd1: <CHICONY USB Keyboard, class 0/0, rev 1.10/3.00, addr 2> on uhub1
kbd3 at ukbd1
Timecounters tick every 1.000 msec
IPsec: Initialized Security Association Processing.
ipfw2 initialized, divert enabled, nat loadable, rule-based forwarding disabled, default to accept, logging disabled
acd0: DVDROM <TSSTcorpDVD-ROM TS-L333A/D250> at ata3-master SATA150
mfi0: 745 (296656571s/0x0008/info) - Current capacity of the battery is above threshold
mfid0: <MFI Logical Disk> on mfi0
mfid0: 285568MB (584843264 sectors) RAID volume '' is optimal
SMP: AP CPU #2 Launched!
SMP: AP CPU #1 Launched!
SMP: AP CPU #3 Launched!
Trying to mount root from ufs:/dev/mfid0s1a

--------------------------------------------------------------------------------

After plugging network cable, device comes up:

# dmesg
..
mfid0: 285568MB (584843264 sectors) RAID volume '' is optimal
SMP: AP CPU #2 Launched!
SMP: AP CPU #1 Launched!
SMP: AP CPU #3 Launched!
Trying to mount root from ufs:/dev/mfid0s1a
WARNING: attempt to net_add_domain(netgraph) after domainfinalize()
em3: link state changed to UP

# ifconfig em3
em3: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=19b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,TSO4>
        ether 00:15:17:b1:6f:6f
        inet 192.168.144.136 netmask 0xffffff00 broadcast 192.168.144.255
        media: Ethernet autoselect (100baseTX <full-duplex>)
        status: active

But after I unplug the cable it stays up:

# dmesg
..
mfid0: 285568MB (584843264 sectors) RAID volume '' is optimal
SMP: AP CPU #2 Launched!
SMP: AP CPU #1 Launched!
SMP: AP CPU #3 Launched!
Trying to mount root from ufs:/dev/mfid0s1a
WARNING: attempt to net_add_domain(netgraph) after domainfinalize()
em3: link state changed to UP

# ifconfig em3
em3: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=19b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,TSO4>
        ether 00:15:17:b1:6f:6f
        inet 192.168.144.136 netmask 0xffffff00 broadcast 192.168.144.255
        media: Ethernet autoselect (100baseTX <full-duplex>)
        status: active

The same behavior is on em1 - em7. em0 changes status to down, if cable unplugged.

Same behavior with latest drivers from Intel website (http://downloadcenter.intel.com/Detail_Desc.aspx?agr=Y&DwnldID=17509, em-6.9.8.tar.gz, MD5 26711e06b36776a213d6d71d29836d51):

I have rebuild the kernel without "device em", build module from em-6.9.8.tar.gz, and loaded:

em0: <Intel(R) PRO/1000 Network Connection 6.9.8> port 0xdce0-0xdcff mem 0xfccc0000-0xfccdffff,0xfcca0000-0xfccbffff irq 16 at device 0.0 on pci12
em0: Using MSI interrupt
em0: [FILTER]
em0: Ethernet address: 00:15:17:b1:6f:84
em1: <Intel(R) PRO/1000 Network Connection 6.9.8> port 0xdcc0-0xdcdf mem 0xfcc80000-0xfcc9ffff,0xfcc60000-0xfcc7ffff irq 17 at device 0.1 on pci12
em1: Using MSI interrupt
em1: [FILTER]
em1: Ethernet address: 00:15:17:b1:6f:85
em2: <Intel(R) PRO/1000 Network Connection 6.9.8> port 0xcce0-0xccff mem 0xfcac0000-0xfcadffff,0xfcaa0000-0xfcabffff irq 17 at device 0.0 on pci13
em2: Using MSI interrupt
em2: [FILTER]
em2: Ethernet address: 00:15:17:b1:6f:86
em3: <Intel(R) PRO/1000 Network Connection 6.9.8> port 0xccc0-0xccdf mem 0xfca80000-0xfca9ffff,0xfca60000-0xfca7ffff irq 18 at device 0.1 on pci13
em3: Using MSI interrupt
em3: [FILTER]
em3: Ethernet address: 00:15:17:b1:6f:87
em4: <Intel(R) PRO/1000 Network Connection 6.9.8> port 0xbcc0-0xbcff mem 0xfc5e0000-0xfc5fffff irq 160 at device 4.0 on pci17
em4: [FILTER]
em4: Ethernet address: 00:1b:21:2e:0c:b4
em5: <Intel(R) PRO/1000 Network Connection 6.9.8> port 0xbc80-0xbcbf mem 0xfc5c0000-0xfc5dffff irq 161 at device 4.1 on pci17
em5: [FILTER]
em5: Ethernet address: 00:1b:21:2e:0c:b5
em6: <Intel(R) PRO/1000 Network Connection 6.9.8> port 0xbc40-0xbc7f mem 0xfc5a0000-0xfc5bffff irq 162 at device 6.0 on pci17
em6: [FILTER]
em6: Ethernet address: 00:1b:21:2e:0c:b6
em7: <Intel(R) PRO/1000 Network Connection 6.9.8> port 0xbc00-0xbc3f mem 0xfc580000-0xfc59ffff irq 163 at device 6.1 on pci17
em7: [FILTER]
em7: Ethernet address: 00:1b:21:2e:0c:b7

But result is the same. I downloaded latest sources from cvs, which contains version 6.9.9 of the driver, but it failed to build (do to some unrelated error) so I couldn't try it.

Despite this, the card seems to work fine (at least pinging and copying thru ssh works).

Problem is on tree different machines with Intel PRO/1000 PT quad port adapters.

FreeBSD 6.x does not have this problem.

How-To-Repeat: Unplug network cable from Intel PRO/1000 PT quad port adapter on FreeBSD 7.x and type "ifconfig".
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-08-23 08:16:27 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Over to maintainer(s).
Comment 2 Andre Oppermann freebsd_committer 2010-08-23 18:52:25 UTC
Responsible Changed
From-To: freebsd-net->jfv

Over to maintainer.
Comment 3 Sean Bruno freebsd_committer 2015-07-01 14:23:07 UTC
This does not happen with em(4) or lem(4) on my test server on freebsd10 or -current.  I suspect it has been fixed for a while.